Subject: Re: bug#36110: find-dired not sorted on any field nor provides a way

From: Glenn Morris <[email-masked]>
Date: Thu, 13 Jun 2019 19:40:11 -0400

Juri Linkov wrote:

>>>> Long ago I customized find-ls-option to this value
>>>>
>>>>   (setq find-ls-option '("-exec ls -ld {} \\;" . "-ld"))

But that has nothing to do with sorting?
find -exec ls -ld {} ";"
will give unsorted output, as always.

> -and the second telling Dired to parse the output.
> +and the second telling Dired to parse the output.  To sort file names
> +lexicographically, you can customize @code{find-ls-option} to the value
> +@code{'("-exec ls -ld @{@} +" . "-ld")}

Oh, I see you've changed it to the "+" form.
It looks like this does give sorted output, but I find it surprising.
Is it assured?

Anyway, this issue has been very recently fixed in bug#29513
(of which this is a duplicate) via find-dired-refine-function.
So I suggest not documenting the above.